problem while compile tcp_wrappers_7.6

problem while compile tcp_wrappers_7.6

Post by Man » Sat, 08 Aug 1998 04:00:00



hello all,
    we have a numbers of solaris 2.5.1 sparc machines. all are installed
with gcc2.7.2. on the first machine, i extracted the tcp_wrappers-7.6
code and managed to compile it successfully. then i ftp the same code
into second machine, extract it BUT now it failed to finish the
compiling process. here are the error messages i got:

cc -O -DFACILITY=LOG_MAIL -DHOSTS_ACCESS -DPARANOID -DNETGROUP
-DGETPEERNAME_BU
G -DBROKEN_FGETS -DLIBC_CALLS_STRTOK -DSOLARIS_24_GETHOSTBYNAME_BUG
-DALWAYS_RF
C931 -DDAEMON_UMASK=022
-DREAL_DAEMON_DIR=\"/opt/man/REAL_DAEMON_DIR\"    -DSEV
ERITY=LOG_INFO -DRFC931_TIMEOUT=10   -DHOSTS_DENY=\"/etc/hosts.deny\"
-DHOSTS_AL
LOW=\"/etc/hosts.allow\"  -DTLI     -DALWAYS_HOSTNAME -c update.c
update.c: In function `request_init':
update.c:96: `__builtin_va_alist' undeclared (first use this function)
update.c:96: (Each undeclared identifier is reported only once
update.c:96: for each function it appears in.)
update.c: In function `request_set':
update.c:115: `__builtin_va_alist' undeclared (first use this function)
*** Error code 1
make: Fatal error: Command failed for target `update.o'
Current working directory /opt/man/tcp_wrappers_7.6
*** Error code 1
make: Fatal error: Command failed for target `sunos5'

please advice, thank you very much.

 
 
 

1. Compiling tcp_wrappers_7.6

I've been attempting to compile tcp_wrappers_7.6 on a Linux
(Redhat 6.1) system, and have repeatedly run into the following
error during the installation attempt:

    percent_m.c:17: conflicting types for `sys_errlist'
    /usr/include/stdio.h:553: previous declaration of `sys_errlist'
    make[1]: *** [percent_m.o] Error 1
    make[1]: Leaving directory `/var/tmp/tcp_wrappers/tcp_wrappers_7.6'
    make: *** [linux] Error 2

I've found `sys_errlist' used in two other files.  These are tli-sequent.c
and tli.c  Unfortunately, this is not much help to me, as I am very new
to using make.

I realize there is a RPM for tcp_wrappers, but I'd like to successfully
use make.  Can anyone help get me past the above error?  The source
from which I am working was downloaded directly from:

    ftp://ftp.porcupine.org/pub/security

The file was:  tcp_wrappers_7.6.tar.gz

Any help would be very much appreciated.  Also, if there is another
group to which this question would more appropriately be posted,
please let me know.

Thank you,
D.Kohfield

2. How to Re-submit print Que files?

3. Press Ctrl-D whiling inputting

4. XDM usage problem

5. tcp_wrappers_7.6

6. 00 COLA FAQ and Primer, Edition I

7. TCP_WRAPPERS_7.2. QUESTION .

8. Open source goes mobile: Opie 1.0 released

9. tcp_wrappers_7.5 under linux v2.x

10. tcp_wrappers_7.2 on Digital UNIX

11. "--mode compile" instead of "--mode=compile" problem with libtool

12. Qt compile problems and compiling in general

13. Problems compiling perl5 to compile satan to test my security